(******************************************************************

	Cool`IADS`  package


 ******************************************************************)



(* :Author: Thomas Cool *)
(* :Copyright: Copyright 1995 Thomas Cool *)
(* :Package Version: 3.0,  June 1997.*)
(* :Mathematica Version: 3.0  *)
(* :Keywords:    *)
(* :Limitation: *)
(* :License: use of this software file requires a license, usually available
      by payment of $10 to Swift account ING.B.NL.2A 3736767 to the name of 
      Thomas Cool, Rotterdamsestraat 69, 2586 GH Scheveningen, Holland.
      Please inquire about the cost of file packs. See the License[] function. *)
(* :Comments:
On the IADS, see Thomas Cool, "On the link between consumption and production duality: using the IADS for production", Central Planning Bureau, The Hague, Internal Memo III-6, July 3 1986 *)


Needs["Cool`Common`"]

BeginPackage["Cool`IADS`", Join[{"Cool`Economic`Common`"}, $Cool]]


Options$IADS::usage = "Makes options available for a ResetOptions[IADS]; the current settings of Options[Aggregator] are taken; so perhaps you wish to do ResetOptions[Aggregator] first"

Results$IADS = Results$Aggregator;
ResetResults[IADS];


IADS::usage = "IADS[opts___Rule] calls the Indirect Addilog Demand System function using default options as set in Options[IADS]. If all FactorPowers are equal, this reduces to the CES. Note: the IADS is defined in terms of cost, thus Aggregate = IADS[Cost, FactorPrices], so that it is applicable both for consumption and production."

AIDS::usage = "Almost Ideal Demand System, not implemented"

IADSpartRule::usage = "IADSpartRule gives a rule for simplification, using the IADSpart. See SimplifyBy."

IADSpart::usage = "Keyword, denoting an additive part within the IADS; the power term is mentioned for derivation results"

IADSpriceRule::usage = "IADSpriceRule gives a rule for simplification, using the IADSpart. See SimplifyBy."


Begin["`Private`"]
End[]
EndPackage[]
Print["This is a crippled package: it contains only the usage statements, no routines. Use of the proper software requires a user license.
See http://www.can.nl/~cool or write to Thomas Cool, Rotterdamsestraat 69, NL-2586 GH Scheveningen, Holland for ordering details"]
