(*********************************************************************

	Cool`Arima`  package


 *********************************************************************)



(* :Author: Thomas Cool *)
(* :Copyright: Copyright 1995 Thomas Cool *)
(* :Package Version: 1.00,  July 1995.*)
(* :Mathematica Version: 2.2.2 *)
(* :Keywords:    *)
(* :Limitation: *)
(* :License: use of this software file requires a license usually available
      by payment of $10 to Swift account ING.B.NL.2A 3736767 to the name of 
      Thomas Cool, PO Box 84399, 2508 AJ Scheveningen, Holland.
      Please inquire about the cost of packs. See the License[] function. *)

Needs["Cool`Common`"]

(*Note: Stine's package is a notebook and not a real package. 
So no special context will be created, and we have to include the Global context*)
Needs["Arima`Arima`"]

BeginPackage["Cool`Arima`", 
	Join[{"TimeSeries`TimeSeries`", "Global`"}, $Cool]]


ToStine::usage = "ToStine[model_, y_Symbol, e_Symbol] gives the the Stine format of the model y with white noise e.\nStine's representation of ARIMA objects is:\n  ARIMA[T(z)/P(z), d, mean, scale, label, error label]\nThe ratio T(z)/P(z) is the transfer function and d is the order of differencing, where it is assumed (and later enforced) that none of the zeros of P(z) are equal to 1.  Following the usual convention, such zeros are incorporated into the difference value d. The scale is the error variance."


Begin["`Private`"]
End[]
EndPackage[]
Print["This is a crippled package: it contains only the usage statements, no routines. Use of the proper software requires a user license.
See http://www.can.nl/~cool or write to Thomas Cool, Rotterdamsestraat 69, NL-2586 GH Scheveningen, Holland for ordering details"]
