(*********************************************************************

	Cool`Neural`  package


 *********************************************************************)



(* :Author: Thomas Cool *)
(* :Copyright: Copyright 1995 Thomas Cool *)
(* :Package Version: 1.02,  July 1998.*)
(* :Mathematica Version: 3.0.0 *)
(* :Keywords:    *)
(* :Limitation: *)
(* :Comment: difference since July 1998 is that L -> LL and G -> GG, due to
    conflicts with economics packages *)
(* :License: use of this software file requires a license usually available
      by payment of $10 to Swift account ING.B.NL.2A 3736767 to the name of 
      Thomas Cool, Rotterdamsestraat 69, 2586 GH Scheveningen, Holland.
      Please inquire about the cost of packs. See the License[] function. 
*)

Needs["Cool`Common`"]

BeginPackage["Cool`Neural`", Join[{}, $Cool]]

LL::usage = "LL = .1; for readability and error prevention"
GG::usage = "GG = .9; for readability and error prevention"
LL=.1;GG=.9;

CList::usage = "Representation of C as a list"
TList::usage = "Representation of T as a list"

HintonDiagram::usage = "HintonDiagram[x_, p_:Automatic, opts___Rule] makes a Hinton diagram. The p parameter allows a partition first. The options are passed on to ListDensityPlot; the PlotRange option will be useful for absolute values over a range."

ToFreemansDataFormat::usage = "ToFreemansDataFormat[data] transforms data = {outputvar -> {out1, out2, ...}, inputvar1 -> {in11, ....}, inputvar2 -> .....} into the format required for the Freeman packages, {{{in11, ...}, {out1}}, {in21, ...}, {out2}}, ....}."

TurnList9::usage = "TurnList9[x_List] takes a list with 9 elements, regards this as a 3X3 block with the middle as the center, and turns the elements one step to the right;\nTurnList9[x_List, n_] := Nest[TurnList9, x, n]\nUse ListDensityPlotSquared to visualize the turning."


Begin["`Private`"]
End[]
EndPackage[]
Print["This is a crippled package: it contains only the usage statements, no routines. Use of the proper software requires a user license.
See http://www.can.nl/~cool or write to Thomas Cool, Rotterdamsestraat 69, NL-2586 GH Scheveningen, Holland for ordering details"]
