(*******************************************

	Cool`OneLag`  package


 *******************************************)



(* :Author: Thomas Cool *)
(* :Copyright: Copyright 1997 Thomas Cool *)
(* :Package Version: 1.00,  June 1997.*)
(* :Mathematica Version: 3.0 *)
(* :Keywords:    *)
(* :Limitation: *)
(* :License: use of this software file requires a license, usually available
      by payment of $10 to Swift account ING.B.NL.2A 3736767 to the name of 
      Thomas Cool, Rotterdamsestraat 69, 2586 GH Scheveningen, Holland.
      Please inquire about the cost of file packs. See the License[] function.
 *)

Needs["Cool`Common`"]

BeginPackage["Cool`OneLag`", Join[{"Cool`Lags`"}, $Cool]]


OneLag::usage = "OneLag[equations_List, endogenes_List, startvalues_List, iter_, t_Symbol] assumes that the endogenes[t] in the equations have only one lag, and then (a) solves for the endogenes, and (b) uses NestList to iterate iter times starting from startvalues.\nOneLag[Set, eqs_List, endos_List, t_Symbol] does step (a) only;\nOneLag[N, start_List, iter_] does step (b) only. The model solution is stored in $OneLag.\nA 2D example is:\n   eq1 = (x[t] == y[t] / 2)\n   eq2 = (y[t] == x[t-1] + 1)\n   OneLag[{eq1, eq2}, {x, y}, {1, 2}, 10, t]\nNote that systems with longer lags can be written as systems with one lag, by using intermediate variables.\nSee also NSolveLinearDynamics."

$OneLag::usage = "$OneLag contains the model solution created by OneLag[...]"

Begin["`Private`"]
End[]
EndPackage[]
Print["This is a crippled package: it contains only the usage statements, no routines. Use of the proper software requires a user license.
See http://www.can.nl/~cool or write to Thomas Cool, Rotterdamsestraat 69, NL-2586 GH Scheveningen, Holland for ordering details"]
