(*******************************************

	Cool`Pythagoras`  package


 *******************************************)



(* :Author: Thomas Cool *)
(* :Copyright: Copyright 1997 Thomas Cool *)
(* :Package Version: 1.01,  January 1998.*)
(* :Mathematica Version: 3.0 *)
(* :Keywords:    *)
(* :Limitation: *)
(* :License: use of this software requires a license, usually available
      by payment of $10 to Swift account ING.B.NL.2A 3736767 to the name of 
      Thomas Cool, Rotterdamsestraat 69, 2586 GH Scheveningen, Holland.
      Please inquire about the cost of packs. See the License[] function.
 *)

Needs["Cool`Common`"]

BeginPackage["Cool`Pythagoras`", Join[{}, $Cool]]

CircleDefinedByPythagoras::usage = "CircleDefinedByPythagoras[a, b, opts___Rule] gives the circle with center {0, 0} through {a, b}. The radius is given by Pythagoras r = Sqrt[a^2 + b^2]. For the angle alpha we define Sin[alpha] = b/r and Cos[alpha] = a/r, such that Sin[alpha]^2 + Cos[alpha]^2 = (b/r)^2 + (a/r)^2 = 1, again by Pythagoras"

Pythagoras::usage = "Pythagoras[a, b, opts___Rule] gives the graphical proof of the Pythagoras theorem for a straight angled triangle with sides a and b, i.e. that the square of the hypotenusa equals the sum of squares of the sides (c^2 = a^2 + b^2). Options are passed on to Graphics. Graphics primitives subresults are in Results[Pythagoras].\nFor example, Pythagoras[1, 2]"



Begin["`Private`"]
End[]
EndPackage[]
Print["This is a crippled package: it contains only the usage statements, no routines. Use of the proper software requires a user license.
See http://www.can.nl/~cool or write to Thomas Cool, Rotterdamsestraat 69, NL-2586 GH Scheveningen, Holland for ordering details"]
