(*********************************************************************

	Cool`ReadData`  Package 

	
	NB. data read from package are contexted. E.g. "contextI`dataJ"
	Subroutines:  from Cool`Common
	- Pralse[x_String] := (Print/Message[x]; Throw[False])  print & return False
	Procedures that Pralse generally return True, unless some error


 *********************************************************************)



(* :Author: Thomas Cool *)
(* :Copyright: Copyright Thomas Cool *)
(* :Package Version: 3.0 Thomas Cool, January 1997.*)
(* :Mathematica Version: 3.0 *)
(* :Keywords:      dif, excel, *)
(* :Limitation:   *)
(* :License: use of this software file requires a license, usually available
      by payment of $10 to Swift account ING.B.NL.2A 3736767 to the name of 
      Thomas Cool, Rotterdamsestraat 69, 2586 GH Scheveningen, Holland.
      Please inquire about the cost of file packs. See the License[] function. *)

Needs["Cool`Common`"]

BeginPackage["Cool`ReadData`", Join[{"Cool`Dbase`"}, $Cool]]


ReadData::usage = "ReadData[stream][variableName_String]\n reads the data from the stream, when the data are Mathematica concepts like Word and Expression. E.g. a record is: var2 = {12, 45 }. The stream preferably is defined on files with extension .dat"

ReadDbase::usage = "ReadDbase[directory_String, r___Rule:(MessagesQ -> False)] \n maps ReadPackage to DataContexts, so that all files are read for the selection in Dbase"

Options[ReadDbase] = {MessagesQ -> False}
Options[ReadPackage] := {MessagesQ -> (MessagesQ /. Options[ReadDbase])}

ReadPackage::usage = "ReadPackage[dir_String, context_String, r___Rule:(MessagesQ -> default from ReadDbase)] \n reads the data-package dir<>context(<>.m) using the selection created by Dbase. NB if ` lacks then this is appended"

VariablesInPackage::usage = "VariablesInPackage[filein_String] determines the list of exported variables in a package (by reading the ::usage statements)"


Begin["`Private`"]
End[]
EndPackage[]
Print["This is a crippled package: it contains only the usage statements, no routines. Use of the proper software requires a user license.
See http://www.can.nl/~cool or write to Thomas Cool, Rotterdamsestraat 69, NL-2586 GH Scheveningen, Holland for ordering details"]
